#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID

if [ $OS = "debian" ]
then
cat <<< "[MySQL]
Description     = MySQL driver
Driver          = libmyodbc.so
Setup           = libodbcmyS.so
CPTimeout       =
CPReuse         =" | odbcinst -i -d -r
fi

cat <<< "[asterisk]
Description           = ODBC to Mysql
Driver                = MySQL
Database              = asterisk
Server                = 127.0.0.1
UserName              = asterisk
Password              = asterisk
Socket                = /var/run/mysqld/mysql.sock
option                = 3" | odbcinst -i -s -r -l


cat > /etc/asterisk/ombutel/res_odbc__10-general.conf <<-EOF
[asterisk]
enabled => yes
dsn => asterisk
pooling =>no
limit=>1
username => asterisk
password => asterisk
pre-connect => yes
EOF

cat > /etc/asterisk/ombutel/cel_odbc__10-general.conf <<-EOF
[cel]
connection=asterisk
table=cel
username=asterisk
password=asterisk
loguniqueid=yes
EOF

cat > /etc/asterisk/ombutel/cel__10-general.conf <<-EOF
[general]
enable=yes
apps=all
events=ALL
dateformat = %d-%m-%Y %T
EOF

cat > /etc/asterisk/modules.d/30-statexplorer.conf <<-EOF
+ res_odbc.so
+ cel.so
+ cel_odbc.so
EOF


systemctl stop asterisk
/usr/share/ombutel/scripts/ast_mods_ctl
systemctl start asterisk


mysql -u root < $DIR/db.sql

if [ $OS = "centos" ]
then
    mysql -u root statexplorer -e "UPDATE users SET password=(CONCAT(MD5(RAND()), MD5(RAND()))) WHERE login='admin';"
fi


dos2unix $INSTALLDIR/api/scripts/resetdb.sh
chmod +x $INSTALLDIR/api/scripts/resetdb.sh
$INSTALLDIR/api/scripts/resetdb.sh

php $DIR/InstallAPIKeyOmbutel.php

cat > /etc/cron.d/statexplorer <<-EOF
0 0 * * 0 root rm -f /var/log/statexplorercron.log 
* * * * * root /usr/bin/php $INSTALLDIR/api/scripts/analyse.php &>> /var/log/statexplorercron.log 
EOF
